Name:		mkl-dnn
Version:	0.19
Release:	1%{?dist}
Summary:	Intel(R) Math Kernel Library for Deep Neural Networks
License:	ASL 2.0
URL:		https://01.org/mkl-dnn
Source0:	https://github.com/01org/mkl-dnn/archive/v%version.tar.gz#/%name-%version.tar.gz
BuildRequires:	cmake
%{!?el6:BuildRequires:	doxygen graphviz tex(latex) tex(dvips)}
%if 0%{?el6}%{?el7}
BuildRequires:	devtoolset-6-gcc-c++
%else
BuildRequires:	gcc-c++
%endif
ExclusiveArch:	%ix86 x86_64


%description


%package	devel
Summary:	Development files for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %name-%version


%build
%if 0%{?el6}%{?el7}
. /opt/rh/devtoolset-6/enable
%endif
%cmake
%make_build
%{!?el6:make doc}		# doxygen fails
make -C examples clean


%install
%make_install
#find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
[ -d %buildroot%_libdir ] || mv %buildroot%_prefix/lib %buildroot%_libdir
rm -r %buildroot%_docdir/mkldnn
mkdir -p %buildroot%_datadir
mv %buildroot%_libdir/cmake %buildroot%_datadir


%check
%if 0%{?el6}%{?el7}
. /opt/rh/devtoolset-6/enable
%endif
%make_build test ARGS='-V --output-on-failure -O test.log' || cat test.log


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%license LICENSE
%{_libdir}/*.so.*

%files devel
%doc reference/html/* examples
%{_includedir}/*
%{_libdir}/*.so
%dir %_datadir/cmake
%_datadir/cmake/mkldnn


%changelog
* Thu Jun 27 2019 Dave Love <loveshack@fedoraproject.org> - 0.19-1
- New version

* Thu Apr 26 2018 Dave Love <loveshack@fedoraproject.org> - 0.13-1
- New version

* Sat Mar 17 2018 Dave Love <loveshack@fedoraproject.org> - 0.11-2
- Use devtoolset-6, not -7

* Thu Dec 14 2017  <loveshack@fedoraproject.org> - 0.11-1
- Initial packaging
